# rpmio/fnmatch.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | __const
#define | FNM_PATHNAME (1 << 0)
#define | FNM_NOESCAPE (1 << 1)
#define | FNM_PERIOD (1 << 2)
#define | FNM_FILE_NAME FNM_PATHNAME
#define | FNM_LEADING_DIR (1 << 3)
#define | FNM_CASEFOLD (1 << 4)
#define | FNM_EXTMATCH (1 << 5)
#define | FNM_NOMATCH 1

## Functions

int | fnmatch (__const char *__pattern, __const char *__name, int __flags)

## Define Documentation

#define __const

Definition at line 30 of file fnmatch.h.

#define FNM_CASEFOLD (1 << 4)

Definition at line 48 of file fnmatch.h.

Referenced by glob_in_dir(), and mireSetGOptions().

#define FNM_EXTMATCH (1 << 5)

Definition at line 49 of file fnmatch.h.

Referenced by initGlobs().

#define FNM_FILE_NAME FNM_PATHNAME

Definition at line 46 of file fnmatch.h.

#define FNM_LEADING_DIR (1 << 3)

Definition at line 47 of file fnmatch.h.

#define FNM_NOESCAPE (1 << 1)

Definition at line 42 of file fnmatch.h.

Referenced by glob_in_dir().

#define FNM_NOMATCH 1

Definition at line 53 of file fnmatch.h.

Referenced by mireRegexec().

#define FNM_PATHNAME (1 << 0)

Definition at line 41 of file fnmatch.h.

Referenced by initGlobs(), and mtreeVWalk().

#define FNM_PERIOD (1 << 2)

Definition at line 43 of file fnmatch.h.

Referenced by fnmatch(), glob_in_dir(), and initGlobs().

## Function Documentation

int fnmatch | ( | __const char * | __pattern,
|  | __const char * | __name,
|  | int | __flags
| ) |  |